Bug 1004792 - [abrt] evolution-3.8.5-2.fc19: detachChildren: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: detachChildren: Process /usr/bin/evolution was...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:255ce8fce54567ba09dcd40ee70...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 09:48 EDT by schladsb
Modified: 2013-09-09 03:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 15:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.72 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: core_backtrace (49.03 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: dso_list (30.40 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: environ (1.34 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: maps (90.98 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: open_fds (2.43 KB, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: proc_pid_status (795 bytes, text/plain)
2013-09-05 09:48 EDT, schladsb
no flags Details
File: var_log_messages (532 bytes, text/plain)
2013-09-05 09:49 EDT, schladsb
no flags Details

  None (edit)
Description schladsb 2013-09-05 09:48:26 EDT
Description of problem:
Program evolution has been crashing randomly. This is a fresh install of Fedora 19 and Evolution. Evolution has problems at startup connecting to exchange server, it indicates that it is scanning the email folders but never returns. The evolution process must be killed and restarted and it will work for a time but then it hangs. It seem to hang when mail is received and other activity is taking place within mail client like writing an email.

Previously I was using Evolution on Fedora 17 which worked, it had some problems but it worked.

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution
crash_function: detachChildren
executable:     /usr/bin/evolution
kernel:         3.10.10-200.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 detachChildren at Source/WebCore/dom/ContainerNode.h:219
 #1 WebCore::ContainerNode::detach at Source/WebCore/dom/ContainerNode.cpp:830
 #2 WebCore::Element::detach at Source/WebCore/dom/Element.cpp:1312
 #3 detachChildren at Source/WebCore/dom/ContainerNode.h:219
 #4 WebCore::ContainerNode::detach at Source/WebCore/dom/ContainerNode.cpp:830
 #5 WebCore::Element::detach at Source/WebCore/dom/Element.cpp:1312
 #6 reattach at Source/WebCore/dom/Node.h:880
 #7 WebCore::Element::recalcStyle at Source/WebCore/dom/Element.cpp:1385
 #15 WebCore::Document::recalcStyle at Source/WebCore/dom/Document.cpp:1803
 #16 WebCore::Frame::setPageAndTextZoomFactors at Source/WebCore/page/Frame.cpp:945
Comment 1 schladsb 2013-09-05 09:48:29 EDT
Created attachment 794272 [details]
File: backtrace
Comment 2 schladsb 2013-09-05 09:48:32 EDT
Created attachment 794273 [details]
File: cgroup
Comment 3 schladsb 2013-09-05 09:48:35 EDT
Created attachment 794274 [details]
File: core_backtrace
Comment 4 schladsb 2013-09-05 09:48:39 EDT
Created attachment 794275 [details]
File: dso_list
Comment 5 schladsb 2013-09-05 09:48:42 EDT
Created attachment 794276 [details]
File: environ
Comment 6 schladsb 2013-09-05 09:48:46 EDT
Created attachment 794277 [details]
File: exploitable
Comment 7 schladsb 2013-09-05 09:48:51 EDT
Created attachment 794278 [details]
File: limits
Comment 8 schladsb 2013-09-05 09:48:54 EDT
Created attachment 794279 [details]
File: maps
Comment 9 schladsb 2013-09-05 09:48:57 EDT
Created attachment 794280 [details]
File: open_fds
Comment 10 schladsb 2013-09-05 09:48:59 EDT
Created attachment 794281 [details]
File: proc_pid_status
Comment 11 schladsb 2013-09-05 09:49:03 EDT
Created attachment 794282 [details]
File: var_log_messages
Comment 12 schladsb 2013-09-05 15:41:50 EDT
I've found my problem, it seems that my fresh install of Fedora 19 included starting the sendmail deamon. Once I stopped and disabled the sendmail deamon evolution is working fine. I was under the impression that must Linux distros did not start the sendmail deamon unless configured by the end user for security reasons.

Anyway, I've relearned something and I'm sorry for reporting a non-bug.

Steve
schladsb@ca.rutgers.edu
Comment 13 Milan Crha 2013-09-06 04:31:54 EDT
Thanks for a bug report. It's quite unlikely, at least from my point of view, that a sendmail daemon causes a crash in WebKit. These two, and evolution process itself as well, are unrelated processes, which should not influence each other. Especially when you use an exchange plugin.

This crash, based on the backtrace, happened when the mail preview panel finished loading. It's some page structure breakage in WebKit internal data, on the first look.

I do not see from the backtrace which exchange plugin you use, is it evolution-mapi or evolution-ews? I ask, because the hang with evolution-ews was reported as bug #998866, though it seemed partly related to some browser plugin, which are loaded (touched) by Webkit on start.
Comment 14 schladsb 2013-09-06 09:33:01 EDT
I'm using the evolution-mapi plugin. And, yes, the problem is back so the sendmail deamon running was not the issue. Evolution hangs typically when I change folders or at startup. On the bottom panel I'll see the messages "Refreshing folder '<folder name>'" for all the folders in my exchnage account. I currently have 22 folders in exchange. I'll try removing/consolidating my folders on the exchange server and see if that helps or reveals any other useful information.

Steve
Comment 15 Milan Crha 2013-09-09 03:38:42 EDT
I would not tweak the folder layout on the Exchange server, rather disable the mapi account and give a try to evolution-ews. It has lighter dependencies as well, and is actively maintained currently.

Note You need to log in before you can comment on or make changes to this bug.